Name:           mageia-gnat-project-common
Version:        3.18
Release:        1%{dist}
Summary:        Files shared by Ada libraries
License:        FSFAP
URL:            https://src.fedoraproject.org/rpms/fedora-gnat-project-common
Source1:        directories.gpr.in
Source2:        macros.gnat.in
Source3:        gnat-project.sh
Source4:        gnat-project.csh
Source5:        configure
BuildArch:      noarch
BuildRequires:  sed
Requires:       setup
Requires:       coreutils
# setup owns /etc/profile.d and coreutils contains uname.

%description
The mageia-gnat-project-common package contains files that are used by the GNAT
project files of multiple Ada libraries, and also GNAT-specific RPM macros.

%global _GNAT_project_dir /usr/share/gpr
# _GNAT_project_dir is defined here and copied from here to macros.gnat so that
# this package won't build-require itself.

%prep
%setup -c -T
cp --preserve=timestamps %{sources} .

%build
exec_prefix=%{_exec_prefix} bindir=%{_bindir} libexecdir=%{_libexecdir} includedir=%{_includedir} GNAT_project_dir=%{_GNAT_project_dir} ./configure

%install
mkdir --parents %{buildroot}%{_GNAT_project_dir} %{buildroot}%{_sysconfdir}/profile.d %{buildroot}%{_rpmmacrodir}
cp -p directories.gpr %{buildroot}%{_GNAT_project_dir}/
cp -p gnat-project.sh gnat-project.csh %{buildroot}%{_sysconfdir}/profile.d/
cp -p macros.gnat %{buildroot}%{_rpmmacrodir}/

%files
%{_GNAT_project_dir}
%config(noreplace) %{_sysconfdir}/profile.d/*
%{_rpmmacrodir}/*
